SyncMLStorageProvider Class Reference

Module that provides storages to libmeegosyncml in syncml client/server plugins. More...

`#include <SyncMLStorageProvider.h>`

Inheritance diagram for SyncMLStorageProvider:

## Public Member Functions

| SyncMLStorageProvider ()
| Constructor.
virtual | ~SyncMLStorageProvider ()
| Destructor.
bool | init (Buteo::Profile *aProfile, Buteo::SyncPluginBase *aPlugin, Buteo::PluginCbInterface *aCbInterface, bool aRequestStorages)
| Initializes the storage provider.
bool | uninit ()
| Uninitializes the storage provider.
virtual bool | getStorageContentFormatInfo (const QString &aURI, DataSync::StorageContentFormatInfo &aInfo)
virtual DataSync::StoragePlugin * | acquireStorageByURI (const QString &aURI)
virtual DataSync::StoragePlugin * | acquireStorageByMIME (const QString &aMIME)
virtual void | releaseStorage (DataSync::StoragePlugin *aStorage)
void | setRemoteName (const QString &aRemoteName)
| set the name of the remote party that initiated sync
void | setUUID (const QString &aRemoteUUID)
| set a UUID for the remote party that initiated sync
| SyncMLStorageProvider ()
| Constructor.
virtual | ~SyncMLStorageProvider ()
| Destructor.
bool | init (Buteo::Profile *aProfile, Buteo::SyncPluginBase *aPlugin, Buteo::PluginCbInterface *aCbInterface, bool aRequestStorages)
| Initializes the storage provider.
bool | uninit ()
| Uninitializes the storage provider.
virtual bool | getStorageContentFormatInfo (const QString &aURI, DataSync::StorageContentFormatInfo &aInfo)
virtual DataSync::StoragePlugin * | acquireStorageByURI (const QString &aURI)
virtual DataSync::StoragePlugin * | acquireStorageByMIME (const QString &aMIME)
virtual void | releaseStorage (DataSync::StoragePlugin *aStorage)
void | setRemoteName (const QString &aRemoteName)
| set the name of the remote party that initiated sync
void | setUUID (const QString &aRemoteUUID)
| set a UUID for the remote party that initiated sync

## Friends

class | Buteo::SyncMLStorageProviderTest

## Detailed Description

Module that provides storages to libmeegosyncml in syncml client/server plugins.

This storage provider presumes that all DataSync::StoragePlugin instances passed as parameters to function of this storage provider are originally from this storage provider

## Member Function Documentation

## acquireStorageByMIME() [1/2]

virtual DataSync::StoragePlugin * SyncMLStorageProvider::acquireStorageByMIME | ( | const QString & | aMIME | ) |

virtual

See also
  DataSync::StorageProvider::acquireStorageByMIME()

## acquireStorageByMIME() [2/2]

virtual DataSync::StoragePlugin * SyncMLStorageProvider::acquireStorageByMIME | ( | const QString & | aMIME | ) |

virtual

See also
  DataSync::StorageProvider::acquireStorageByMIME()

## acquireStorageByURI() [1/2]

virtual DataSync::StoragePlugin * SyncMLStorageProvider::acquireStorageByURI | ( | const QString & | aURI | ) |

virtual

See also
  DataSync::StorageProvider::acquireStorageByURI()

## acquireStorageByURI() [2/2]

virtual DataSync::StoragePlugin * SyncMLStorageProvider::acquireStorageByURI | ( | const QString & | aURI | ) |

virtual

See also
  DataSync::StorageProvider::acquireStorageByURI()

## getStorageContentFormatInfo() [1/2]

virtual bool SyncMLStorageProvider::getStorageContentFormatInfo | ( | const QString & | aURI,
|  | DataSync::StorageContentFormatInfo & | aInfo )

virtual

See also
  DataSync::StorageProvider::getStorageContentFormatInfo

## getStorageContentFormatInfo() [2/2]

virtual bool SyncMLStorageProvider::getStorageContentFormatInfo | ( | const QString & | aURI,
|  | DataSync::StorageContentFormatInfo & | aInfo )

virtual

See also
  DataSync::StorageProvider::getStorageContentFormatInfo

## init() [1/2]

bool SyncMLStorageProvider::init | ( | Buteo::Profile * | aProfile,
|  | Buteo::SyncPluginBase * | aPlugin,
|  | Buteo::PluginCbInterface * | aCbInterface,
|  | bool | aRequestStorages )

Initializes the storage provider.

Parameters

  aProfile | Profile with storage sub-profiles
  aPlugin | Plugin utilizing this storage provider
  aCbInterface | Callback interface to use to acquire and release storages
  aRequestStorages | If true, storage provider will request storages while creating them

Returns
  True on success, otherwise false

## init() [2/2]

bool SyncMLStorageProvider::init | ( | Buteo::Profile * | aProfile,
|  | Buteo::SyncPluginBase * | aPlugin,
|  | Buteo::PluginCbInterface * | aCbInterface,
|  | bool | aRequestStorages )

Initializes the storage provider.

Parameters

  aProfile | Profile with storage sub-profiles
  aPlugin | Plugin utilizing this storage provider
  aCbInterface | Callback interface to use to acquire and release storages
  aRequestStorages | If true, storage provider will request storages while creating them

Returns
  True on success, otherwise false

## releaseStorage() [1/2]

virtual void SyncMLStorageProvider::releaseStorage | ( | DataSync::StoragePlugin * | aStorage | ) |

virtual

See also
  DataSync::StorageProvider::releaseStorage()

## releaseStorage() [2/2]

virtual void SyncMLStorageProvider::releaseStorage | ( | DataSync::StoragePlugin * | aStorage | ) |

virtual

See also
  DataSync::StorageProvider::releaseStorage()

## setRemoteName() [1/2]

void SyncMLStorageProvider::setRemoteName | ( | const QString & | aRemoteName | ) |

set the name of the remote party that initiated sync

Parameters

  aRemoteName | remote name

## setRemoteName() [2/2]

void SyncMLStorageProvider::setRemoteName | ( | const QString & | aRemoteName | ) |

set the name of the remote party that initiated sync

Parameters

  aRemoteName | remote name

## setUUID() [1/2]

void SyncMLStorageProvider::setUUID | ( | const QString & | aRemoteUUID | ) |

set a UUID for the remote party that initiated sync

Parameters

  aRemoteUUID | remote name

## setUUID() [2/2]

void SyncMLStorageProvider::setUUID | ( | const QString & | aRemoteUUID | ) |

set a UUID for the remote party that initiated sync

Parameters

  aRemoteUUID | remote name

## uninit() [1/2]

bool SyncMLStorageProvider::uninit | ( |  | ) |

Uninitializes the storage provider.

Returns
  True on success, otherwise false

## uninit() [2/2]

bool SyncMLStorageProvider::uninit | ( |  | ) |

Uninitializes the storage provider.

Returns
  True on success, otherwise false

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/SyncMLStorageProvider.h
- syncmlcommon/SyncMLStorageProvider.h